MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027728Open CASCADE[OCCT] OCCT:Visualizationpublic2016-07-29 13:042016-12-09 16:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027728: Visualization, OpenGl_Text - handle correctly object local transformation
DescriptionWhen FFP is turned OFF, combination of Local transformation and text rendering produces different visual result. One of the code path works incorrectly.
Steps To Reproducebugs/vis/bug22368

Small test case:
pload VISUALIZATION
vclear
vinit View1
vpoint p0    0    0 0
vpoint p50   50  50 0
vpoint p100 100 100 0
vdrawtext t Text
vfit

vsetlocation t 50 50 0
vcaps -ffp 1
vcaps -ffp 0
TagsNo tags attached.
Test case numberbugs vis bug22368
Attached Filespng file icon trsf_glsl.png (1,380 bytes) 2016-07-29 13:04
png file icon trsf_ffp.png (1,373 bytes) 2016-07-29 13:04

- Relationships
related to 0027393newkgv Visualization, TKOpenGl - use transform persistence mechanism with OpenGl_Text instead of internal matrix transformations 
related to 0026641closedbugmaster Visualization, TKOpenGl - handle correctly transformation persistence within perspective projection 
child of 0024838newkgv Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0056300)
git (administrator)
2016-07-30 15:06

Branch CR27728 has been created by kgv.

SHA-1: fbd28b7111dac9e6ffd61cdc6b774c8616f1fab0


Detailed log of new commits:

Author: kgv
Date: Sat Jul 30 15:06:23 2016 +0300

    0027728: Visualization, OpenGl_Text - handle correctly object local transformation
    
    OpenGl_Context::ApplyWorldViewMatrix() - reset ModelWorld matrix to identity for consistency with FFP.
(0056301)
kgv (developer)
2016-07-30 15:07

Patch is ready for review.
(0056331)
apl (developer)
2016-08-01 14:02

Dear bugmaster,

Please test the patch.
(0056372)
apv (tester)
2016-08-02 12:59

Dear BugMaster,

Branch CR27728 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: fbd28b7111dac9e6ffd61cdc6b774c8616f1fab0

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1129

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug22368 - OK
http://occt-tests/CR27728-master-OCCT/Debian70-64/bugs/vis/bug22368.html [^]
http://occt-tests/CR27728-master-OCCT/Windows-64-VC10/bugs/vis/bug22368.html [^]

Testing on Linux:
Total MEMORY difference: 90400300 / 90113934 [+0.32%]
Total CPU difference: 19373.659999999876 / 19470.140000000094 [-0.50%]

Testing on Windows:
Total MEMORY difference: 57074033 / 57093912 [-0.03%]
Total CPU difference: 18220.807599298856 / 18078.831089198848 [+0.79%]
(0057183)
git (administrator)
2016-08-26 16:26

Branch CR27728 has been deleted by inv.

SHA-1: fbd28b7111dac9e6ffd61cdc6b774c8616f1fab0

- Related Changesets
occt: master 458e3c0d
Timestamp: 2016-07-30 12:06:23
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027728: Visualization, OpenGl_Text - handle correctly object local transformation

OpenGl_Context::ApplyWorldViewMatrix() - reset ModelWorld matrix to identity for consistency with FFP.
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - tests/bugs/vis/bug22368 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-29 13:04 kgv New Issue
2016-07-29 13:04 kgv Assigned To => kgv
2016-07-29 13:04 kgv File Added: trsf_glsl.png
2016-07-29 13:04 kgv File Added: trsf_ffp.png
2016-07-29 13:05 kgv Relationship added child of 0024838
2016-07-29 13:06 kgv Relationship added related to 0027393
2016-07-29 13:06 kgv Relationship added related to 0026641
2016-07-29 13:07 kgv Product Version 7.0.0 => 6.9.0
2016-07-29 13:47 kgv Summary Visualization, OpenGl_Text - handle correctly object local transfromation => Visualization, OpenGl_Text - handle correctly object local transformation
2016-07-30 14:03 kgv Steps to Reproduce Updated View Revisions
2016-07-30 15:06 git Note Added: 0056300
2016-07-30 15:07 kgv Note Added: 0056301
2016-07-30 15:07 kgv Assigned To kgv => apl
2016-07-30 15:07 kgv Status new => resolved
2016-07-30 15:07 kgv Steps to Reproduce Updated View Revisions
2016-08-01 14:02 apl Note Added: 0056331
2016-08-01 14:02 apl Assigned To apl => bugmaster
2016-08-01 14:02 apl Status resolved => reviewed
2016-08-01 18:25 apv Assigned To bugmaster => apv
2016-08-02 11:58 apv Test case number => bugs vis bug22368
2016-08-02 12:59 apv Note Added: 0056372
2016-08-02 12:59 apv Assigned To apv => bugmaster
2016-08-02 12:59 apv Status reviewed => tested
2016-08-05 13:30 bugmaster Changeset attached => occt master 458e3c0d
2016-08-05 13:30 bugmaster Status tested => verified
2016-08-05 13:30 bugmaster Resolution open => fixed
2016-08-26 16:26 git Note Added: 0057183
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker